Bug 189616 - gnome-power-manager corrupts mouse function
gnome-power-manager corrupts mouse function
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-21 14:08 EDT by James Bridge
Modified: 2015-01-04 17:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 17:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bridge 2006-04-21 14:08:16 EDT
Description of problem: In the power manager, choose to put the computer to
sleep (after 40 min). On waking it up, the mouse malfunctions and the pointer
sticks to the left-hand edge of the screen. I have both USB wireless optical
mouse and PS2 mechanical mouse connected simultaneously (the latter as a backup)
and both show the same behaviour. After rebooting everything is normal.


Version-Release number of selected component (if applicable):2.14.1-1


How reproducible: very!


Steps to Reproduce: see above
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Richard Hughes 2006-04-21 14:24:43 EDT
I don't think this is a g-p-m problem.

Can you stop g-p-m by doing:

killall gnome-power-manager

and then doing:

pm-suspend

If this mouse behaviour happens again, then it's no fault of g-p-m, but a kernel
thing.
Comment 2 James Bridge 2006-04-21 17:27:53 EDT
You are correct in your suspicions! Curiously, the mouse doesn't start
misbehaving until the console is closed, after the computer wakes up.
Comment 3 John (J5) Palmieri 2006-04-21 17:42:07 EDT
moving to pm-utils
Comment 4 Dave Jones 2006-10-16 13:30:25 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 James Bridge 2006-10-16 17:16:05 EDT
kernel release 2.6.18-1.2200.fc5 installed as suggested and sleep function
tested. Works correctly with no mouse problem, using the nv driver. However,
using the matching nvidia driver (from livna) the computer wakes up (hard drive
noises!) but no display appears. Monitor reports "no signal". This is obviously
a problem with the nvidia driver so I will report it.

Note You need to log in before you can comment on or make changes to this bug.